---
title: Screen.orientation
slug: Web/API/Screen/orientation
tags:
  - API
  - CSSOM View
  - Experimental
  - Property
  - Read-only
  - Screen Orientation
  - screen
---
<p>{{APIRef("Screen Orientation API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>orientation</code></strong> read-only property of the {{DOMxRef("Screen")}} interface returns the current orientation of the screen.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>orientation</var> = window.screen.orientation;</pre>

<h3 id="Return_value">Return value</h3>

<p>An instance of {{DOMxRef("ScreenOrientation")}} representing the orientation of the screen.</p>

<p>Note that older, prefixed versions returned a {{DOMxRef("DOMString")}} equivalent to {{DOMxRef("ScreenOrientation.type")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;">var orientation = (screen.orientation || {}).type || screen.mozOrientation || screen.msOrientation;

if (orientation === "landscape-primary") {
  console.log("That looks good.");
} else if (orientation === "landscape-secondary") {
  console.log("Mmmh... the screen is upside down!");
} else if (orientation === "portrait-secondary" || orientation === "portrait-primary") {
  console.log("Mmmh... you should rotate your device to landscape");
} else if (orientation === undefined) {
  console.log("The orientation API isn't supported in this browser :(");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('Screen Orientation', '#dom-screen-orientation', 'orientation')}}</td>
			<td>{{Spec2('Screen Orientation')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.orientation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{DOMxRef("ScreenOrientation")}}</li>
	<li>{{DOMxRef("Screen.onorientationchange")}}</li>
	<li><a href="/en-US/docs/Managing_screen_orientation">Managing screen orientation</a></li>
</ul>
